Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006273 [JEDI VCL] 00 JVCL Components crash always 2014-04-08 14:15 2015-09-14 13:20
Reporter lstauber View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006273: 64bit: Access violation when streaming richedit data
Description in jvrichedit.pas there are 2 invalid type conversions from pointer to longint (losing so upper 4 bytes of address). It should be corrected to DWORD_PTR, which respects the size of pointer:

[code]
procedure TJvRichEditStrings.DoExport(AConverter: TJvConversion);
var
  EditStream: TEditStream;
  TextType: Longint;
begin
  with EditStream do
  begin
    dwCookie := Longint(AConverter); // change from longint to DWORD_PTR
[/code]

and

[code]
procedure TJvRichEditStrings.DoImport(AConverter: TJvConversion);
var
  EditStream: TEditStream;
  TextType: Longint;
  Cookie: TCookie;
begin
  Cookie := TCookie.Create(AConverter);
  try
    with EditStream do
    begin
      dwCookie := Longint(Cookie); // change from longint to DWORD_PTR
[/code]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020952)
AHUser (developer)
2014-04-23 16:48

Fixed in master branch.

- Issue History
Date Modified Username Field Change
2014-04-08 14:15 lstauber New Issue
2014-04-23 16:48 AHUser Note Added: 0020952
2014-04-23 16:48 AHUser Status new => resolved
2014-04-23 16:48 AHUser Fixed in Version => Daily / GIT
2014-04-23 16:48 AHUser Resolution open => fixed
2014-04-23 16:48 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker